{% filter indent(width=4, first=False) %}
{% include "./_mem_offset.jinja" %}
batchnorm_forward<{{ out_name[0]|upper }}_NB_OUTPUTS,
                  {{ out_name[0]|upper }}_OUT_HEIGHT,
                  {{ out_name[0]|upper }}_OUT_WIDTH,
                  {{name|upper}}_ACTIVATION>
                  ({{in_name[0]}}, {{out_name[0]}}, {{in_name[1]}}, {{in_name[2]}}, {{in_name[3]}}, {{in_name[4]}}, {{name|upper}}_EPSILON);
{% include "./_save_outputs.jinja" %}
{% endfilter %}
